org.apache.bsf.util.event.generator

## Class Bytecode

- java.lang.Object
- - org.apache.bsf.util.event.generator.Bytecode

-     public class Bytecode
      extends java.lang.Object

  Bytecode handling utilities Handle standard byte arrays as defined in Java VM and Class File 5 April 1999 - functions to append Class File byte subarrays into a Class File byte array
  Author:
    Richard F. Boehme

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `C_Class`
    `static byte` | `C_Double`
    `static byte` | `C_FieldRef`
    `static byte` | `C_Float`
    `static byte` | `C_Integer`
    `static byte` | `C_InterfaceMethodRef`
    `static byte` | `C_Long`
    `static byte` | `C_MethodRef`
    `static byte` | `C_NameAndType`
    `static byte` | `C_String`
    `static byte` | `C_Utf8`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Bytecode()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `addClass(byte[] array, short value)`
    `static byte[]` | `addFieldRef(byte[] array, short value1, short value2)`
    `static byte[]` | `addInteger(byte[] array, int value)`
    `static byte[]` | `addInterfaceMethodRef(byte[] array, short value1, short value2)`
    `static byte[]` | `addLong(byte[] array, long value)`
    `static byte[]` | `addMethodRef(byte[] array, short value1, short value2)`
    `static byte[]` | `addNameAndType(byte[] array, short value1, short value2)`
    `static byte[]` | `addRef(byte refType, byte[] array, short value)`
    `static byte[]` | `addRef(byte refType, byte[] array, short value1, short value2)`
    `static byte[]` | `addString(byte[] array, short value)`
    `static byte[]` | `addUtf8(byte[] array, java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### C_Utf8

          public static final byte C_Utf8

      See Also:
        Constant Field Values

    - #### C_Integer

          public static final byte C_Integer

      See Also:
        Constant Field Values

    - #### C_Float

          public static final byte C_Float

      See Also:
        Constant Field Values

    - #### C_Long

          public static final byte C_Long

      See Also:
        Constant Field Values

    - #### C_Double

          public static final byte C_Double

      See Also:
        Constant Field Values

    - #### C_Class

          public static final byte C_Class

      See Also:
        Constant Field Values

    - #### C_String

          public static final byte C_String

      See Also:
        Constant Field Values

    - #### C_FieldRef

          public static final byte C_FieldRef

      See Also:
        Constant Field Values

    - #### C_MethodRef

          public static final byte C_MethodRef

      See Also:
        Constant Field Values

    - #### C_InterfaceMethodRef

          public static final byte C_InterfaceMethodRef

      See Also:
        Constant Field Values

    - #### C_NameAndType

          public static final byte C_NameAndType

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Bytecode

          public Bytecode()

  - ### Method Detail

    - #### addClass

          public static byte[] addClass(byte[] array,
                                        short value)

    - #### addFieldRef

          public static byte[] addFieldRef(byte[] array,
                                           short value1,
                                           short value2)

    - #### addInteger

          public static byte[] addInteger(byte[] array,
                                          int value)

    - #### addInterfaceMethodRef

          public static byte[] addInterfaceMethodRef(byte[] array,
                                                     short value1,
                                                     short value2)

    - #### addLong

          public static byte[] addLong(byte[] array,
                                       long value)

    - #### addMethodRef

          public static byte[] addMethodRef(byte[] array,
                                            short value1,
                                            short value2)

    - #### addNameAndType

          public static byte[] addNameAndType(byte[] array,
                                              short value1,
                                              short value2)

    - #### addRef

          public static byte[] addRef(byte refType,
                                      byte[] array,
                                      short value)

    - #### addRef

          public static byte[] addRef(byte refType,
                                      byte[] array,
                                      short value1,
                                      short value2)

    - #### addString

          public static byte[] addString(byte[] array,
                                         short value)

    - #### addUtf8

          public static byte[] addUtf8(byte[] array,
                                       java.lang.String value)